<?php

/**
 *
 * @see XenForo_ControllerHelper_Account
 */
class Waindigo_InfusionsoftApi_Extend_XenForo_ControllerHelper_Account extends XFCP_Waindigo_InfusionsoftApi_Extend_XenForo_ControllerHelper_Account
{

    /**
     *
     * @see XenForo_ControllerHelper_Account::getWrapper()
     */
    public function getWrapper($selectedGroup, $selectedLink, XenForo_ControllerResponse_View $subView)
    {
        $wrapper = parent::getWrapper($selectedGroup, $selectedLink, $subView);

        if ($wrapper instanceof XenForo_ControllerResponse_View) {
            $wrapper->params['canEditPaymentDetails'] = true;
        }

        return $wrapper;
    }
}